#ifndef SERVICE_CLOCK_H
#define SERVICE_CLOCK_H

#include "../sim2os.h"

namespace hierarchy_memory {
  namespace sim2os {

    //~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~[ service_clock ]~~~~~
    void *
    Sim2os ::
    service_clock ()
    {
      if (have_all_arguments(0) == false)
	{
	  cerr << "<" << NAME << "> Usage : clock_t clock();" << endl;
	  return NULL;
	}

      void *      result   = (void *) nb_cycle;
      error                = 0;
  
      cout << "\n\t***** service : clock         *****" << endl;
      cout << "\tresult    : " << (unsigned int) result << endl;
      cout << "\terrno     : " << (unsigned int) error  << endl;
  
      return      result;
    }
  };};
#endif //SERVICE_CLOCK_H
